﻿Imports System.Collections.ObjectModel
Imports Infragistics.Controls.Timelines

Public Class Window1

    Private Sub Window1_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        Dim collection As New ObservableCollection(Of TimelineData)()

        For i As Integer = 1 To 5
            Dim dataEntry As New TimelineData() With { _
                 .Time = New DateTime(2015, 2, i, i, 0, 0), _
                 .Duration = New TimeSpan(i, 0, 0), _
                 .Title = "Data Title " & i, _
                 .Details = "Data Description " & i _
            }
            collection.Add(dataEntry)
        Next

        Dim series As New DateTimeSeries()
        series.Title = "Series With Data Binding"
        series.DataSource = collection
        series.Fill = Brushes.Blue
        series.Position = Position.TopOrLeft
        series.EventSpanStyle = CType(Resources("EventSpanTopStyle"), Style)
        series.DataMapping = "Time=Time;Duration=Duration;Title=Title;Details=Details"
        xamTimeline.Series.Add(series)

        For i As Integer = 4 To 6
            Dim dataEntry As New TimelineData() With { _
                 .Time = New DateTime(2015, 2, i, i, 0, 0), _
                 .Duration = New TimeSpan(0, 0, 0), _
                 .Title = "Data Title2 " & i, _
                 .Details = "Data Description2 " & i _
            }
            collection.Add(dataEntry)
        Next

        Dim series2 As New DateTimeSeries()
        series2.Title = "Series2 With Data Binding"
        series2.DataSource = collection
        series2.Fill = Brushes.Red
        series2.Position = Position.BottomOrRight

        series2.DataMapping = "Time=Time;Duration=Duration;Title=Title;Details=Details"
        xamTimeline.Series.Add(series2)
    End Sub
End Class
